Skip to main content
POST
/
{alias}
/
content
/
redirects
Criar redirecionamento
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/content/redirects \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "id": 123,
  "url_from": "/old-page",
  "url_to": "/new-page"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/content/redirects"

payload = {
"id": 123,
"url_from": "/old-page",
"url_to": "/new-page"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 123, url_from: '/old-page', url_to: '/new-page'})
};

fetch('https://api.dooki.com.br/v2/{alias}/content/redirects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "url_from": "/old-page",
  "url_to": "/new-page"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Detalhes do redirecionamento

Redirecionamentos 301 da loja

id
integer
url_from
string
Example:

"/old-page"

url_to
string
Example:

"/new-page"

Response

Redirecionamento criado com sucesso

Redirecionamentos 301 da loja

id
integer
url_from
string
Example:

"/old-page"

url_to
string
Example:

"/new-page"